ur_rna.Utilities.geom

## Class Rectangles

- java.lang.Object
- - ur_rna.Utilities.geom.Rectangles

-     public abstract class Rectangles
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rectangles()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.geom.Rectangle2D.Double` | `fromCenter(java.awt.geom.Point2D p, double squareSize)`
    `static java.awt.geom.Rectangle2D.Double` | `fromCenter(java.awt.geom.Point2D p, double w, double h)`
    `static java.awt.Rectangle` | `fromCenter(java.awt.Point p, int squareSize)`
    `static java.awt.Rectangle` | `fromCenter(java.awt.Point p, int w, int h)`
    `static java.awt.geom.Rectangle2D.Double` | `fromCenter(Vec2D p, double squareSize)`
    `static java.awt.geom.Rectangle2D.Double` | `fromCenter(Vec2D p, double w, double h)`
    `static java.awt.geom.Rectangle2D.Double` | `fromPoints(java.awt.geom.Point2D p1, java.awt.geom.Point2D p2)`
    `static java.awt.Rectangle` | `fromPoints(java.awt.Point p1, java.awt.Point p2)`
    `static java.awt.geom.Rectangle2D.Double` | `fromPoints(Vec2D p1, Vec2D p2)`
    `static void` | `grow(java.awt.geom.Rectangle2D rc, double growBothDims)`
    `static void` | `grow(java.awt.geom.Rectangle2D rc, double growX, double growY)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rectangles

          public Rectangles()

  - ### Method Detail

    - #### fromCenter

          public static java.awt.geom.Rectangle2D.Double fromCenter(java.awt.geom.Point2D p,
                                                                    double squareSize)

    - #### fromCenter

          public static java.awt.geom.Rectangle2D.Double fromCenter(java.awt.geom.Point2D p,
                                                                    double w,
                                                                    double h)

    - #### fromCenter

          public static java.awt.Rectangle fromCenter(java.awt.Point p,
                                                      int squareSize)

    - #### fromCenter

          public static java.awt.Rectangle fromCenter(java.awt.Point p,
                                                      int w,
                                                      int h)

    - #### fromCenter

          public static java.awt.geom.Rectangle2D.Double fromCenter(Vec2D p,
                                                                    double squareSize)

    - #### fromCenter

          public static java.awt.geom.Rectangle2D.Double fromCenter(Vec2D p,
                                                                    double w,
                                                                    double h)

    - #### fromPoints

          public static java.awt.geom.Rectangle2D.Double fromPoints(java.awt.geom.Point2D p1,
                                                                    java.awt.geom.Point2D p2)

    - #### fromPoints

          public static java.awt.Rectangle fromPoints(java.awt.Point p1,
                                                      java.awt.Point p2)

    - #### fromPoints

          public static java.awt.geom.Rectangle2D.Double fromPoints(Vec2D p1,
                                                                    Vec2D p2)

    - #### grow

          public static void grow(java.awt.geom.Rectangle2D rc,
                                  double growBothDims)

    - #### grow

          public static void grow(java.awt.geom.Rectangle2D rc,
                                  double growX,
                                  double growY)